@echo off
REM BEGIN CMVC
REM *************************************************************************
REM 
REM   Workfile: %W%
REM   Last update: %E% %U%
REM   SCCS path, id: %F% %I%
REM 
REM ************************************************************************/
REM CMVC
REM COPYRIGHT
REM *************************************************************************
REM 
REM   Licensed Materials - Property of IBM
REM   WA82 SupportPac
REM   (c) Copyright IBM Corp. 2000
REM   US Government Users Restricted Rights - Use, duplication or
REM   disclosure restricted by GSA ADP Schedule Contract
REM   with IBM Corp.
REM 
REM ************************************************************************/
REM END COPYRIGHT
REM BEGIN DISCLAIMER
REM *************************************************************************
REM   DISCLAIMER
REM   ----------
REM   This material contains programming source code for your consideration.
REM   These examples have not been thoroughly tested under all conditions.
REM   IBM, therefore, cannot guarantee or imply reliability, serviceability,
REM   or function of these programs.
REM   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
REM   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
REM   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
REM   FOR A PARTICULAR PURPOSE.
REM ************************************************************************/
REM END DISCLAIMER

call %WSPMTK_HOME%\bin\env.bat

set CP=.;%JAVA_HOME%\lib\classes.zip;
set CP=%WSPMTK_HOME%\lib\wspmtk.jar;%CP%
set CP=%WSPMTK_HOME%\lib\wspmtksmp.jar;%CP%
set CP=%WSTK_HOME%\lib\xerces.jar;%CP%
set CP=%WSTK_HOME%\lib\xalan.jar;%CP%
set CP=%WSTK_HOME%\lib\mailapi.jar;%CP%
set CP=%WSTK_HOME%\lib\activation.jar;%CP%
set CP=%WSTK_HOME%\soap\lib\bsfengines.jar;%CP%
set CP=%SOAP_HOME%\lib\soap.jar;%CP%

set oldcp=%CLASSPATH%
set CLASSPATH=%CP%

echo This test assumes a server URL of http://localhost:2020/soap/server/rpcrouter
echo .
:echo START the MQWF PEA
:fmcxspea -u=user -p=password -f
echo Running the MQWF client
java -classpath %CP% samples.CreditRequest.testit http://localhost:2020/soap/servlet/rpcrouter 
:java com.ibm.workflow.sample.xml.CreditRequestView 
echo .

set CLASSPATH=%oldcp%
