/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: %W%
//  Last update: %E% %U%
//  SCCS path, id: %F% %I%
//
//************************************************************************/
/*END CMVC */
/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  WA82 SupportPac
//  (c) Copyright IBM Corp. 2000
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

package samples.CreditRequest;


import java.net.*;
import java.util.*;
import com.wspmtk.www.sample.schema.*;
import samples.CreditRequest.*;

import org.apache.soap.*;

public class testit
{
  public static void main(String[] argv) throws MalformedURLException, SOAPException
  {
    try
    {
      PersonInfo  pi = new PersonInfo( "Frank", "SKR");
      CreditInfo  ci = new CreditInfo( pi,
                                       "Janningsstr. 6",
                                       null,
                                       null,
                                       1000);

      CreditRequestProxy testProxy = new CreditRequestProxy();

      testProxy.CreditRequest( pi);
      //      System.out.println( "Credit has been approved: " + ciRes.AddApproval_Elem);
    }
    catch( SOAPException fault)
    {
      System.out.println ("Ouch, the call failed: ");
      System.out.println ("  Fault Code   = " + fault.getFaultCode ());  
      System.out.println ("  Fault String = " + fault.getMessage ());
    }
  }
}

